@layer addon {
    .filterGrid {
        grid-column: span 12;
        .organization {
            .block {
                background-color: var(--color3);
                color: var(--color2);
                .media {
                    img {
                        aspect-ratio: 800 / 600;
                        object-fit: cover;
                    }
                    &:before {
                        background-image: url(../../../images/logo.svg);
                        background-size: contain;
                        background-repeat: no-repeat;
                        content: "";
                        position: absolute;
                        left: 0;
                        top: var(--gutter);
                        z-index: 9;
                        width: 52px;
                        height: 64px;
                    }
                }
                .inner {
                    gap: 0;
                    padding: calc(var(--padding) / 2);
                    padding-right: calc(var(--padding) + 32px);
                    .header {
                        padding-bottom: calc(var(--gutter) / 2);
                        .title {
                            font-size: var(--m-fontsize);
                            color: var(--color2);
                        }
                    }
                    .content {
                        font-size: var(--fontsize);
                    }
                    .footer {
                        a {
                            &:after {
                                content: '';
                                position: absolute;
                                left: 0;
                                top: 0;
                                right: 0;
                                bottom: 0;
                                width: 100%;
                                height: 100%;
                            }
                            &:hover {
                                @media (hover: hover) {
                                    .icon {
                                        padding: 6px;
                                    }
                                }
                            }
                        }
                        .icon {
                            position: absolute;
                            right: calc(var(--padding) / 2);
                            bottom: calc(var(--padding) / 2);
                            background: var(--color2);
                            border-radius: 100%;
                            width: 32px;
                            height: 32px;
                            padding: 8px;
                            color: var(--color3);
                            transition: padding 0.2s ease-in-out;
                        }
                    }
                }
            }
        }
        .railcenter {
            .block {
                background-color: var(--color2);
                color: var(--color1);
                padding-left: 52px;
                &:before {
                    background-image: url(../../../images/logo-dark.svg);
                    background-size: contain;
                    background-repeat: no-repeat;
                    content: "";
                    position: absolute;
                    left: 0;
                    top: var(--gutter);
                    z-index: 9;
                    width: 52px;
                    height: 64px;
                }
                .inner {
                    gap: 0;
                    justify-content: center;
                    padding: calc(var(--padding) / 2);
                    padding-right: var(--padding);
                    .header {
                        padding-bottom: calc(var(--gutter) / 2);
                        .title {
                            font-size: calc(var(--m-fontsize) + 0.5rem);
                            color: var(--color1);
                        }
                    }
                    .content {
                        flex: 0;
                        font-size: var(--fontsize);
                        font-weight: 600;
                    }
                    .footer {
                        a {
                            &:after {
                                content: '';
                                position: absolute;
                                left: 0;
                                top: 0;
                                right: 0;
                                bottom: 0;
                                width: 100%;
                                height: 100%;
                            }
                        }
                    }
                }
            }
        }

        
        
    }

    .filterCategory {
        grid-column: 3 / span 8;
        text-align: center;
        @media (max-width: 56em) {
            grid-column: span 12;
        }
        @media (--max-fablet) {
            grid-column: span 12;
        }
        .multiSelect {
            margin-bottom: var(--gutter);
            display: flex;
            flex-wrap: wrap;
            justify-content: center;
            gap: var(--gutter) calc(var(--gutter) / 2);
            label {
                border-top: 2px solid var(--color2);
                border-bottom: 2px solid var(--color2);
                height: 55px;
                font-size: var(--fontsize);
                color: var(--color2);
                font-weight: bold;
                cursor: pointer;
                &:before {   
                    content: "";
                    height: 55px;
                    width: 28px;
                    background-image: url(../../../images/left-border.svg);
                    background-color: var(--color1);
                }
                &:after {
                    content: "";
                    height: 55px;
                    width: 28px;
                    background-image: url(../../../images/right-border.svg);
                    background-color: var(--color1);
                }
                .count {display: none}
                input {display: none;}
                &[aria-selected="true"] {
                    background: var(--color2);
                    color: var(--color1);
                    &:before {background-image: url(../../../images/left-border-active.svg);}
                    &:after {background-image: url(../../../images/right-border-active.svg);}
                }
            }
        }
        .selectContainer {
            position: relative;
            .select {
                select {
                    gap: 0;
                    background: var(--color1);
                    border: 0;
                    border-top: 2px solid var(--color2);
                    border-bottom: 2px solid var(--color2);
                    height: 55px;
                    padding-top: 0;
                    padding-bottom: 0;
                    text-align: center;
                    
                    font-size: var(--fontsize);
                    color: var(--color2);
                    font-weight: bold;
                    
                    option {
                        color: var(--color-dark);
                    }
                }
                &:after {
                    right: 30px;
                    margin-top: -2px;
                    border-bottom: 2px solid var(--color2);
                    border-right: 2px solid var(--color2);
                    z-index: 9;
                }
            }
            &:before,
            &:after {
                position: absolute;
                z-index: 2;
                top: 0;
            }
            &:before {
                left: 0;
                content: "";
                height: 55px;
                width: 28px;
                background-image: url(../../../images/left-border.svg);
                background-color: var(--color1);
            }
            &:after {
                right: 0;
                content: "";
                height: 55px;
                width: 28px;
                background-image: url(../../../images/right-border.svg);
                background-color: var(--color1);
            }
        }

    }
}